## LassoLibAuthnContext LassoLibAuthnContext — <lib:AuthnContext> |

## Functions

LassoNode * | lasso_lib_authn_context_new ()

## Types and Values

struct | LassoLibAuthnContext

## Description

Figure 3. Schema fragment for lib:AuthnContext

    <xs:element name="AuthnContext">
      <xs:complexType>
        <xs:sequence>
          <xs:element name="AuthnContextClassRef" type="xs:anyURI" minOccurs="0"/>
          <xs:choice>
            <xs:element ref="ac:AuthenticationContextStatement"/>
            <xs:element name="AuthnContextStatementRef" type="xs:anyURI"/>
          </xs:choice>
        </xs:sequence>
      </xs:complexType>
    </xs:element>

## Functions

### lasso_lib_authn_context_new ()

    LassoNode *
    lasso_lib_authn_context_new (void);

Creates a new LassoLibAuthnContext object.

#### Returns

a newly created LassoLibAuthnContext object

## Types and Values

### struct LassoLibAuthnContext

    struct LassoLibAuthnContext {
    	LassoNode parent;

    	/* <xs:element name="AuthnContextClassRef" type="xs:anyURI" minOccurs="0"/> */
    	char *AuthnContextClassRef;
    	/* <xs:element name="AuthnContextStatementRef" type="xs:anyURI"/> */
    	char *AuthnContextStatementRef;
    	/* <xs:element ref="ac:AuthenticationContextStatement"/> */
    	void *AuthenticationContextStatement; /* TODO: support that element */
    };